> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quoteconnections

> Retrieve the list of all defined Quote Connections - i.e. not the connectors (DLLs). ExtraInfo - "connectorname=Name-of-connector" - restricts results to connections defined by one particular connector.

## "quoteconnections" MDO List

Retrieve the list of all defined Quote Connections - i.e. not the connectors (DLLs).
ExtraInfo: "connectorname=Name-of-connector" - restricts results to connections defined by one particular connector.

Implementation relies on the <see cref="T:SuperOffice.CRM.ArchiveLists.QuoteConnectionProvider" /> archivelist, and simply reformats its data

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteConnections">QuoteConnections</see> class.
The name of the MDO list is 'quoteconnections'.

## Additional Attributes

| Description                                  | Name          | Example Value               |
| -------------------------------------------- | ------------- | --------------------------- |
| Name of the connector to get connections for | connectorname | Custom Quote Connector Name |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quoteconnections
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quoteconnections", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                          | StyleHint | ExtraInfo              |
| -- | --------------------------------------------- | --------- | ---------------------- |
| 2  | Built-in                                      |           | SuperOffice Standalone |
| 3  | TestClient SuperOffice test/debug connector A |           | Test.QuoteConnector    |
| 4  | TestClient SuperOffice test/Debug connector B |           | Test.QuoteConnector    |
| 5  | TestClient SuperOffice manipulating connector |           | Test.QuoteConnector    |

## Related MDO Lists

* "quoteconnectionsheadings"
* "quoteconnectionsheadingswithallitem"
* "quoteconnectionsheadingswithallitemwithnoselection"
* "quoteconnectionsheadingswithnoselection"
* "quoteconnectionswithallitem"
* "quoteconnectionswithallitemwithnoselection"
* "quoteconnectionswithnoselection"


## Related topics

- [QuoteConnection](/en/api/archive-providers/reference/quoteconnection.md)
- [QuoteConnection table](/en/database/tables/quoteconnection.md)
- [SuperOffice.WebApi.Data.QuoteConnection](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteConnection.md)
- [QuoteConnectionAccess table](/en/database/tables/quoteconnectionaccess.md)
- [QuoteConnectionInfo](/en/api/plugins/quote-connectors/api/data-carriers/quoteconnectioninfo.md)
- [SuperOffice.WebApi.Data.QuoteEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteEntity.md)
